# Deprecated API

## Contents

- Interfaces
- Exceptions
- Methods

Deprecated Interfaces
Interface
Description
org.apache.sling.jcr.api.NamespaceMapper
Per session namespace mapping is not supported anymore.

Deprecated Exceptions
Exceptions
Description
org.apache.sling.jcr.api.TooManySessionsException
Session pooling has been removed and thus this exception is not used any more.

Deprecated Methods
Method
Description
org.apache.sling.jcr.api.SlingRepository.loginAdministrative(String)
as of 2.2 (bundle version 2.2.0) because of inherent security issues. Services requiring specific permissions should use the `SlingRepository.loginService(String, String)` instead.